get
https://api.genability.com/rest/v1/profiles/profileId
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Retrieve a generated storage profile using the Arcadia profileId returned from a storage optimization request.
Use this endpoint to inspect one of the post-storage profiles created by Add Storage Profile. If you use your own profile identifiers, use Get Storage Profile with providerProfileId instead.
Generated storage profiles commonly correspond to one of these profile types:
- Post-storage grid imports to site
- Post-storage grid exports from solar
- Grid imports and exports to and from the battery
Resource URI
GET /rest/v1/profiles/{profileId}Path parameters
| Parameter | Type | Description |
|---|---|---|
profileId | String | Arcadia-generated profile ID returned in the storage optimization response. Required. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
populateIntervals | Boolean | When true, includes interval values in the response. Defaults to false. Use with groupBy. |
groupBy | String | Groups returned interval data by YEAR, MONTH, DAY, HOUR, or QTRHOUR. Intervals are not returned when this field is omitted. |
fromDateTime | DateTime | Start date for returned intervals or readings. Optional. |
toDateTime | DateTime | End date for returned intervals or readings. Optional. |
fields | String | Use dataStatus to poll profile processing status. Optional. |
asTariffTimezone | Boolean | When true, returns profile readings and intervals in the account tariff's timezone when a tariff is set. Optional. |
For full details on the storage profile workflow, generated post-storage profiles, and response interpretation, see Storage Profiles API.
Example
GET /rest/v1/profiles/b7559f37-8020-4969-8bd1-48d8c3d58976?populateIntervals=true&groupBy=HOURA successful response returns a standard response payload with type set to UsageProfile and one generated storage profile in the results array.
{
"status": "success",
"count": 1,
"type": "UsageProfile",
"results": [
{
"profileId": "b7559f37-8020-4969-8bd1-48d8c3d58976",
"providerProfileId": "sins-example-jun23-poststorage-storage",
"serviceTypes": "ELECTRICITY",
"dataStatus": 2
}
]
}